Subject: Re: bug#78945: 30.1; C-x 4 4 and C-x 5 5 do not work with `dired-mouse-find-file'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Jul 2025 09:26:15 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 10 Jul 2025 21:54:59 +0300
> 
> > I guess you mean the below?
> >
> >   In case of multiple consecutive mouse events such as <down-mouse-1>,
> >   a mouse release event <mouse-1>, <double-mouse-1>, <triple-mouse-1>
> >   all bound commands are handled until one of them displays a buffer.
> >
> > If so, I've seen this, thanks.  But (a) it is IMO too terse to make
> > the effect clear, and (b) the manuals don't document these prefixes at
> > all AFAICS (I saw nothing in NEWS, either).
> 
> In what Info nodes they could be documented?

Actually, I see that I was mistaken: the user manual does describe
"C-x 4 4" and "C-x 5 5", just without an index entry; I've now fixed
that.  However, the subtle effect on several mouse-bound commands
still needs to be described there.

As for the ELisp manual, I think the right place is in the "Prefix
Keys" node.  What I think we should describe there is that this prefix
command works via display-buffer-alist, and also how the multiple
mouse clicks are handled for this purpose.

I also have a question: if I type "C-x 4 4" before a mouse-bound
command that shows no buffer, does it mean that the next command
(which could be arbitrary and unrelated) will be affected by the
prefix?  If so, we should mention this subtlety in the ELisp manual.

Thanks.